Package com.independentsoft.office.word.math

# Class OfficeMath

java.lang.Object
com.independentsoft.office.word.math.OfficeMath

All Implemented Interfaces:
  `IContentElement`, `IBlockContent`, `IBlockElement`, `IContentRunContent`, `IParagraphContent`, `IRunLevelElement`, `IRunTrackChangeContent`, `IMathContent`, `IMathElement`, `ICellContent`, `IRowContent`

public class OfficeMath extends Object implements IMathContent
The Class OfficeMath.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OfficeMath()`
  Instantiates a new office math.
  `OfficeMath​(InternalXMLStreamReader reader)`
  Instantiates a new office math.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OfficeMath`
  `clone()`
  `List<IContentElement>`
  `getContentElements()`
  `List<IMathElement>`
  `getMathElements()`
  Gets the math elements.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OfficeMath

    public OfficeMath()
    Instantiates a new office math.

  - ### OfficeMath

    public OfficeMath​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new office math.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public OfficeMath clone()
    Specified by:
      `clone` in interface `IBlockContent`
    Specified by:
      `clone` in interface `IBlockElement`
    Specified by:
      `clone` in interface `ICellContent`
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IContentRunContent`
    Specified by:
      `clone` in interface `IMathContent`
    Specified by:
      `clone` in interface `IMathElement`
    Specified by:
      `clone` in interface `IParagraphContent`
    Specified by:
      `clone` in interface `IRowContent`
    Specified by:
      `clone` in interface `IRunLevelElement`
    Specified by:
      `clone` in interface `IRunTrackChangeContent`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getMathElements

    public List<IMathElement> getMathElements()
    Gets the math elements.
    Returns:
      the math elements